Page MenuHomePhabricator

$ symbol in translation
Closed, ResolvedPublic

Description

Hi Whatamidoing, I am translating in Meta, sometimes I get dollar symbols in the text and do not know for sure what I need to do with them / their functionality. Shall I remove them? Thanks

https://meta.wikimedia.org/w/index.php?title=Special:Translate&group=page-Training+modules%2Fdashboard%2Fslides%2F10805-edit-vs-edit-source&language=eu&action=page&filter=

Event Timeline

Inaki-LL created this task.Nov 17 2017, 8:53 AM
Restricted Application added a subscriber: Base. · View Herald TranscriptNov 17 2017, 8:53 AM
Base added a comment.EditedNov 17 2017, 9:22 AM

Dollar signs are translation variables (tvars) they are used to shorted some text such as urls which besides might be updated without the need of updating translations. They should be used in translation unchanged, for example when translating from English to Spanish $world must remain $world and not $mundo or $ world or anything else.

Inaki-LL added a comment.EditedNov 17 2017, 10:45 AM

Thank you Base. So in "Now it's time to get started editing! You can navigate to your own [$link sandbox] page in another browser window to try it out for yourself.", I understand I should leave the word "sandbox" w/o translation, right? Another similar example for the phrase "edit-source": "Here's some basic Wikicode to format your text on Talk pages or the "$edit-source" option on articles."

Base added a comment.EditedNov 17 2017, 12:47 PM

No, you leave $link untranslated, but sandbox you translate, for example it would be [$link пісочниця] when translated to Ukrainian (and everything else is translated too).

With another the same: you leave $edit-source exactly as it is, but you translate the rest, for example in Russian it would be Вот некоторые примеры викиразметки для форматирования Вашего текста на страницах обсуждения или при выборе опции «$edit-source» редактирования статей — everything is translated, including using quotation marks as per typography requirements of your language, but the translation variable remains the same.

That is helpful, thanks Base

Inaki-LL added a comment.EditedNov 20 2017, 5:16 PM

@Base, @Whatamidoing-WMF, @Kaganer, with reference to this, I have this variant: if I leave "$edit-source" it seems that a translation applies next to it for the purposes of identification in the target language interface and translation, I think something like "[$edit-source Translation]" applies (in my case "[$edit-source Editatu iturburu kodea]"), since the text needs a translation anyway, is that right? (Something like [$link sandbox] > [$link пісочниця] explained above) Thank you

Iñaki

Theklan closed this task as Resolved.Nov 23 2017, 10:53 AM
Whatamidoing-WMF removed Whatamidoing-WMF as the assignee of this task.Mar 1 2018, 12:16 AM
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.